%define name ruby-gettext
%define version 1.7.0
%define release %mkrel 1

Summary: Native Language Support Library and Tools for Ruby
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://ponx.s5.xrea.com/hiki/ruby-gettext.html
Source0: %{name}-package-%{version}.tar.bz2
License: GPL
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ruby >= 1.8.2
BuildRequires: ruby-devel gettext-devel ruby-racc ruby-rake

%{expand:%%define ruby_libdir %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%{expand:%%define ruby_archdir %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}

%description
Ruby GetText Package is Native Language Support Library and Tools whichi
modeled after GNU gettext package, but is not a wrapper of GNU GetText.

%prep
%setup -q -n %{name}-package-%{version} 
sed -i 's/0555/0755/' setup.rb

%build
ruby setup.rb config 
ruby setup.rb setup
rm -f samples/cgi/ruby.bat
cd test
sed -i /gettext_test_rails.rb/d test.sh
./test.sh

%install
rm -rf %buildroot
ruby setup.rb install --prefix=%buildroot
%find_lang %name --all-name 

for f in `find samples %buildroot -name \*.rb`
do
	if head -n1 "$f" | grep '^#!' >/dev/null;
	then
		sed -i 's|/usr/local/bin|/usr/bin|' "$f"
		chmod 0755 "$f"
	else
		chmod 0644 "$f"
	fi
done

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%{ruby_archdir}/*
%{ruby_libdir}/gettext*
%{_bindir}/*

%doc COPYING README samples test ChangeLog 

%changelog
* Thu Aug 24 2006 Pascal Terjan <pterjan@mandriva.org> 1.7.0-1mdv2007.0
- New release 1.7.0

* Tue Jul 11 2006 Pascal Terjan <pterjan@mandriva.org> 1.6.0-1mdv2007.0
- 1.6.0

* Sat Mar 11 2006 Pascal Terjan <pterjan@mandriva.org> 1.3.0-1mdk
- 1.3.0
- mkrel

* Sun Jan 15 2006 Pascal Terjan <pterjan@mandriva.org> 1.1.1-1mdk
- 1.1.1

* Thu Dec 29 2005 Pascal Terjan <pterjan@mandriva.org> 1.1.0-1mdk
- 1.1.0

* Sat Sep 03 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.0-1mdk
- 1.0.0

* Sun May 01 2005 Pascal Terjan <pterjan@mandriva.org> 0.9.0-1mdk
- 0.9.0

* Wed Mar 30 2005 Pascal Terjan <pterjan@mandrake.org> 0.8.1-2mdk
- lib64 fix

* Tue Mar 29 2005 Pascal Terjan <pterjan@mandrake.org> 0.8.1-1mdk
- 0.8.1

* Thu Nov 11 2004 Pascal Terjan <pterjan@mandrake.org> 0.8.0-1mdk
- 0.8.0

* Mon Jul 26 2004 Pascal Terjan <pterjan@mandrake.org> 0.6.1-1mdk
- 0.6.1

* Thu Jul 08 2004 Pascal Terjan <pterjan@mandrake.org> 0.6.0-1mdk
- 0.6.0

* Fri Apr 23 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.5-1mdk
- 0.5.5

* Thu Jan 01 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.3-2mdk
- own %%{_libdir}/ruby/*/*/*/gettext/ 
  
* Thu Dec 25 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.5.3-1mdk 
- first mdk release
